import React from 'react';
import { Icon, IconProps } from '../Icon';


export const IconDownloadCloud = (props: IconProps) => {
    return <Icon  id="IconDownloadCloud" {...props}>
        <path d="M1.80791 7.50044C3.41035 4.42635 6.74225 2.65854 10.1862 3.0552C13.3678 3.42164 16.0363 5.56532 17.1037 8.53728H17.5256C19.855 8.53575 22.1831 9.7669 22.9534 12.198C23.6919 14.5289 22.8343 17.0696 20.8341 18.4761C20.3824 18.7938 19.7586 18.6851 19.4409 18.2333C19.1232 17.7815 19.2319 17.1578 19.6837 16.8401C20.9702 15.9355 21.5218 14.3013 21.0468 12.8021C20.6036 11.4032 19.2152 10.536 17.5271 10.5373L16.3659 10.5373C15.9093 10.5373 15.5107 10.2281 15.3972 9.78582C14.7416 7.23048 12.5782 5.34392 9.95734 5.04206C7.33648 4.7402 4.80089 6.08551 3.58142 8.42492C2.36196 10.7643 2.71115 13.6134 4.45947 15.5891C4.82547 16.0027 4.78689 16.6347 4.37329 17.0007C3.9597 17.3667 3.32771 17.3281 2.96171 16.9145C0.664331 14.3184 0.205479 10.5745 1.80791 7.50044Z" />
        <path d="M11.9996 11C12.5519 10.9998 12.9998 11.4473 13.0001 11.9996L13.0032 18.5829L14.4748 17.1113C14.8653 16.7208 15.4985 16.7208 15.889 17.1113C16.2795 17.5018 16.2795 18.135 15.889 18.5255L12.7629 21.6516C12.5942 21.8478 12.3507 21.9779 12.0766 21.9975C11.7958 22.0189 11.5076 21.9223 11.2928 21.7075L8.11081 18.5255C7.72028 18.135 7.72028 17.5018 8.11081 17.1113C8.50133 16.7208 9.1345 16.7208 9.52502 17.1113L11.0032 18.5894L11.0001 12.0005C10.9998 11.4482 11.4474 11.0003 11.9996 11Z" />
    </Icon>;
};

export default IconDownloadCloud;
